<id>
Message Icon Manager
</id>

<version>
1.2
</version>

<mod info>
This MOD allows you to simply and easily add new message icons to your board. Once installed you can access the "manager" from the admin menu. From here you can easily add icons to your board. Note that to add a new icon you must FIRST ensure that you have uplaoded it to your /themes/default/images/post directory

By default all icons work on all boards. You can make an icon specific to a board by choosing the board in the manager. When deleting an icon you have two choices. Delete and Delete and Restore. If you just delete it only stops new users using the icon. If you choose repair any messages already using the deleted item will be reset to xx.gif (default message icon). DO NOT DELETE xx.gif from the post directory for this very reason. If you delete an icon it does NOT delete the image and messages using the icon prior to deletion will look just fine as long as the image is not removed from the server.

In addition there is now an option in the features settings and options to allow you to choose to display your message icons as radio buttons as opposed to a drop down menu.

There are two versions of this mod, msgicon.mod and msgiconqr.mod . The first version is standard, the second adds message icon selection to the quick reply box. Only install ONE version of it - installing both will need to difficulty :)

Installation Instructions:
1) Upload MsgIcondb.php to your forum root and run it ONCE, then delete it
2) Upload the two MsgIcon.php files to the corresponding directories
3) Install this mod file and upload the changes

Hope you enjoy this release

Grudge
</mod info>

<author>
Grudge
</author>

<homepage>
www.mymods.co.uk
</homepage>

<edit file>
$languagedir/Modifications.english.php
</edit file>

<search for>
?>
</search for>

<add before>
$txt['msgicon_manager'] = 'Message Icon Manager';
$txt['msgIconsRadio_enabled'] = 'Enable Displaying Icons As Radio Buttons';
$txt['msgicon_add_message_icons'] = 'Add Message Icons';
$txt['msgicon_modify_message_icons'] = 'Modify Message Icons';
$txt['msgicon_order'] = 'Order';
$txt['msgicon_filename'] = 'Filename';
$txt['msgicon_description'] = 'Description';
$txt['msgicon_board'] = 'Board Specific';
$txt['msgicon_del'] = 'Del';
$txt['msgicon_add'] = 'Add';
$txt['msgicon_update'] = 'Update';
$txt['msgicon_update_and_replace'] = 'Update and Replace Removed';
$txt['msgicon_all'] = 'All Boards';
</add before>

<edit file>
$sourcedir/Subs.php
</edit file>

<search for>
			$context['admin_areas']['config']['areas']['manage_smileys'] = '<a href="' . $scripturl . '?action=smileys">' . $txt['smileys_manage'] . '</a>';
</search for>

<add after>
			$context['admin_areas']['config']['areas']['msgicon_manager'] = '<a href="' . $scripturl . '?action=msgicon">' . $txt['msgicon_manager'] . '</a>';
</add after>

<edit file>
index.php
</edit file>

<search for>
		'movetopic' => array('MoveTopic.php', 'MoveTopic'),
		'movetopic2' => array('MoveTopic.php', 'MoveTopic2'),
</search for>

<add after>
		'msgiconadd' => array('MsgIcon.php', 'MsgIconAdd'),
		'msgicon' => array('MsgIcon.php', 'MsgIconManager'),
		'msgiconmod' => array('MsgIcon.php', 'MsgIconMod'),
</add after>

<edit file>
$sourcedir/ModSettings.php
</edit file>

<search for>
			array('check', 'securityDisable'),
</search for>

<add after>
		array('rule'),
			array('check', 'msgIconsRadio_enabled'),
</add after>

<edit file>
$themedir/Post.template.php
</edit file>

<search for>
									<select name="icon" id="icon" onchange="showimage()">';

	// Loop through each message icon allowed, adding it to the drop down list.
	foreach ($context['icons'] as $icon)
		echo '
										<option value="', $icon['value'], '"', $icon['value'] == $context['icon'] ? ' selected="selected"' : '', '>', $icon['name'], '</option>';

	echo '
									</select>
									<img src="', $settings['images_url'], '/post/', $context['icon'], '.gif" name="icons" border="0" hspace="15" alt="" />
</search for>

<replace>
		';
		if($modSettings['msgIconsRadio_enabled'] == 1){
			$rowcount=0;
			foreach($context['icons'] as $icon){
				$rowcount++;
				echo' <input class="check" type="radio" name="icon" value="' . $icon['value'] . '"' . ($icon['value'] == $context['icon'] ? ' checked="checked"' : '') . ' alt="' . $icon['name'] . '"><img src="' . $settings['images_url'] . '/post/' . $icon['value'] . '.gif">&nbsp; ';
			if($rowcount % 8 == 0)
				echo '</td></tr><tr><td></td><td>';	
		}
	}
	else
	{
		echo'
	<select name="icon" id="icon" onchange="showimage()">';
		foreach($context['icons'] as $icon)
			echo '
			<option value="' . $icon['value'] . '"' . ($icon['value'] == $context['icon'] ? ' checked="checked"' : '') . '>' . $icon['name'] . '</option>';
		echo '
				</select>
			<img src="' . $settings['images_url'] . '/post/' . $context['icon'] . '.gif" name="icons" border="0" hspace="15" alt="" />';
	}
	echo '
</replace>

<edit file>
$sourcedir/Post.php
</edit file>

<search for>
	$context['icons'] = array(
		array('value' => 'xx', 'name' => $txt[281]),
		array('value' => 'thumbup', 'name' => $txt[282]),
		array('value' => 'thumbdown', 'name' => $txt[283]),
		array('value' => 'exclamation', 'name' => $txt[284]),
		array('value' => 'question', 'name' => $txt[285]),
		array('value' => 'lamp', 'name' => $txt[286]),
		array('value' => 'smiley', 'name' => $txt[287]),
		array('value' => 'angry', 'name' => $txt[288]),
		array('value' => 'cheesy', 'name' => $txt[289]),
		array('value' => 'grin', 'name' => $txt[293]),
		array('value' => 'sad', 'name' => $txt[291]),
		array('value' => 'wink', 'name' => $txt[292])
	);
</search for>

<replace>
	$context['icons'] = array();
	$msgreq = db_query("
			SELECT Description, Name
			FROM {$db_prefix}message_icons
			WHERE ID_BOARD = -1 OR ID_BOARD = $board
			ORDER BY ID_ICON",__FILE__, __LINE__);
	while($row = mysql_fetch_assoc($msgreq))
		$context['icons'][] = array(
			'value' => $row['Name'],
			'name' => $row['Description']
		);
		
</replace>